API Doc
Languages
Languages
  • English
  • 简体中文
Languages
Languages
  • English
  • 简体中文
  1. 5. Refund
  • Merchant Unified API Param
  • API Code Collection
  • Unified API Param
  • 1. Account
    • 1.1 Balance Inquiry
      POST
  • 2. Disburse
    • Payout Channel List
    • 2.1 Create Payout
      POST
    • 2.2 Check Payout Status
      POST
  • 3. QR Code
    • QR Code Channel Code List
    • 3.1 QR Code Create
      POST
    • 3.2 QR Code Detail
      POST
    • 3.3 QR Code Payment List
      POST
    • 3.4 QR Code Payment Notification
      POST
    • 3.5 QR Code Cancel
      POST
  • 4. WebPay
    • WebPay Channel Code List
    • Wechat Webpage Authorization Reference
    • Wechat Calls Payment Reference
    • 4.1 WebPay Create
      POST
    • 4.2 Retrieve WebPay Status
      POST
    • 4.3 WebPay Payment Notification
      POST
  • 5. Refund
    • Refund Support Channel List
    • Refund Status Enum
    • 5.1 Refund
      POST
    • 5.2 Get Refund Payments
      POST
    • 5.3 Refund Notification
      POST
  • 6. Void
    • Payment Void Channel List
    • 6.1 Payment Void
  • 7. Direct Debit
    • Direct Debit Channel List
    • 6.4 Authorization Notification
    • 6.3 Cancel Authorization
    • 6.1 Create Authorization Url
    • 6.2 Check Authorization Status
    • 6.5 Direct Debit Pay
    • 6.6 Direct Debit Pay Detail
    • 6.7 Direct Debit Notification
  1. 5. Refund

5.1 Refund

POST
/open-api/payment/refund

Request

Body Params application/json

Example
{
    "appId": "733b887a4a784708bb369524db5b6ded",
    "sign": "A5Vd8NcQvU3QT41Yee2jCIK58jDAKZ6kP5gEE4q7Yu92hUCY3k00FKTSlCNU+CcZm0LSrGbEMFMID3p7uvXaqy5khNv3kPndrgp7MIRHUmQnMgRK+g1XG7PzWdnrqlXc3g+L+kqVja+qrFRz+uVS6GLKLR1P4AtgTa9dok6NU7YTWOnG9r/FwIVx/At4czfEpI10pvg2TptVpiANmseGmz4G30hkaYTTNahkcOMQJn6PDFjivHvjNLZNJVOqHQzVUa+kca1yZZMPHtgxR647KjoY2oAjjl0Y45GL6zP9qHD/eVwcPPAPrRZ4K2o05OJnPf67fAcWNVqpnu6ZGQIXhQ==",
    "param": "{\"originalTransactionId\":\"CU518563189147832780\",\"mchRefundOrderId\":\"refund488455057142\",\"refundAmount\":10000,\"refundReason\":\"testRefund\",\"refundCallbackUrl\":\"http://www.test.com\",\"timestamp\":1722415059}"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/open-api/payment/refund' \
--header 'Content-Type: application/json' \
--data-raw '{
    "appId": "733b887a4a784708bb369524db5b6ded",
    "sign": "A5Vd8NcQvU3QT41Yee2jCIK58jDAKZ6kP5gEE4q7Yu92hUCY3k00FKTSlCNU+CcZm0LSrGbEMFMID3p7uvXaqy5khNv3kPndrgp7MIRHUmQnMgRK+g1XG7PzWdnrqlXc3g+L+kqVja+qrFRz+uVS6GLKLR1P4AtgTa9dok6NU7YTWOnG9r/FwIVx/At4czfEpI10pvg2TptVpiANmseGmz4G30hkaYTTNahkcOMQJn6PDFjivHvjNLZNJVOqHQzVUa+kca1yZZMPHtgxR647KjoY2oAjjl0Y45GL6zP9qHD/eVwcPPAPrRZ4K2o05OJnPf67fAcWNVqpnu6ZGQIXhQ==",
    "param": "{\"originalTransactionId\":\"CU518563189147832780\",\"mchRefundOrderId\":\"refund488455057142\",\"refundAmount\":10000,\"refundReason\":\"testRefund\",\"refundCallbackUrl\":\"http://www.test.com\",\"timestamp\":1722415059}"
}'

Responses

🟢200成功
application/json
Body

Example
{
    "code": 10000,
    "message": "Success",
    "data": {
        "mchRefundOrderId": "refund488455057142",
        "refundTransactionId": "1818566685947728",
        "refundCreateTime": "2024-07-31 16:37:40",
        "refundAmount": 10000,
        "refundStatus": "PENDING"
    }
}
Previous
Refund Status Enum
Next
5.2 Get Refund Payments
Built with